package rs.dmi.master.game.base;

import java.util.Set;

import rs.dmi.master.component.edge.EdgeCollection;
import rs.dmi.master.game.GamePlay;
import rs.dmi.master.lookuptable.LookupTable;
import rs.dmi.master.pathcollection.AbstractSetPathCollection;

public abstract class AbstractSetPathCollectionGame extends AbstractGame<Set<EdgeCollection>> {

	public AbstractSetPathCollectionGame(int size, GamePlay gamePlay, LookupTable lookup, AbstractSetPathCollection pathCollection) {
		super(size, gamePlay, lookup, pathCollection);
	}

	public AbstractSetPathCollectionGame(int size, GamePlay gamePlay, LookupTable lookup, int depth, AbstractSetPathCollection pathCollection) {
		super(size, gamePlay, lookup, depth, pathCollection);
	}

}
