package rs.dmi.master.lookuptable;

import rs.dmi.master.game.Player;
import rs.dmi.master.isomorphism.GameGraphState;

/**
 * Interface for all types of graph state storages (lookups).
 * 
 * @author niktrk
 * @date 01.01.2013.
 * 
 */
public interface LookupTable {

	// TODO add constants for different heap memory sizes

	Player getWinner(GameGraphState gameGraphState);

	void setWinner(GameGraphState gameGraphState, Player winner);

}
