package rs.dmi.master.game.base;

import java.util.BitSet;

import rs.dmi.master.game.CompleteGameGraph;
import rs.dmi.master.game.GamePlay;
import rs.dmi.master.lookuptable.LookupTable;
import rs.dmi.master.pathcollection.BitSetPathCollection;

public abstract class AbstractBitSetPathCollectionGame extends AbstractGame<BitSet> {

	public AbstractBitSetPathCollectionGame(int size, GamePlay gamePlay, LookupTable lookup) {
		super(size, gamePlay, lookup, new BitSetPathCollection());
	}

	public AbstractBitSetPathCollectionGame(CompleteGameGraph completeGameGraph, LookupTable lookup) {
		super(completeGameGraph, lookup, -1, new BitSetPathCollection());
	}

}